Subject: Re:bug#51821: 29.0.50; Suggest add variable or frame parameter: line-height

From: tumashu <[email-masked]>
Date: Fri, 19 Nov 2021 15:26:21 +0800 (CST)

I just test like:

1. (setq line-height-factor 1.5)
2. M-x
3. yank "你好"
4. See minibuffer's height change or not.

maybe the height should split two parts, ascent and decent:

   real-ascent = ascent * line-height-factor
   real-decent = decent * line-height-factor

The patch seem to not change decent.

At 2021-11-19 15:08:58, "Eli Zaretskii" <[email-masked]> wrote:
>> From: "Feng Shu" <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Fri, 19 Nov 2021 09:57:25 +0800
>> 
>> I think the below patch has problem, maybe it relate to font
>> baseline, I do not know, please see attachement.
>
>Sorry, I cannot watch videos in that format.  What exactly seems to be
>the problem with the results of the patch?  What did you try, exactly,
>to test it, and what did you expect to happen instead of what actually
>happened?
>
>